<?php
  $helper = $this->helper('MGS\Blog\Helper\Data');
  
  $showImage = $this->getConfig('general_settings/show_image');
  $showAction = $this->getConfig('general_settings/show_action');
  $blogUrl = $block->getUrl('*/*/*', ['_current' => true, '_use_rewrite' => true]);
  $post = $block->getSingleData();
  $title = $post->getTitle();
  $twitterUrl = "http://twitter.com/intent/tweet?original_referer=$blogUrl&text=$title&url=$blogUrl";
  $faceBookUrl = "http://www.facebook.com/sharer/sharer.php?u=$blogUrl&title=$title";
  $instagramUrl = "https://www.instagram.com/alogiccorp/";
  $linkedInUrl = "https://www.linkedin.com/shareArticle?url=$blogUrl&title=$title";
  $facebookUrl = "https://www.facebook.com/sharer.php?u=$blogUrl";
  $baseUrl = $this->helper('Newsroom\Common\Helper\Data')->getBaseUrl();
  ?>

<div class=" container  pressrelease-view">
<?php echo $this->getLayout()->createBlock("Magento\Framework\View\Element\Template")->setTemplate("Newsroom_Common::content.phtml")->toHtml();?>
<div class="newsroom-items all">
  <div class="items-head">
    <h2 class="h2  back"><a href="<?php echo $baseUrl; ?>pressrelease"><span>&nbsp;</span>All Press Releases</a></h2>
  </div>
</div>
<div class="row justify-content">
  <div class="col-md-10 justify-content">
    <div class="blog-post post-item-info">
      <div class="presskit-menu">
        <div class="row">
          <div class="col-sm-12">
            <div class="menu-title menu">
              <span  class="highlighted">
              PRESS RELEASE
              </span>        
            </div>
          </div>
        </div>
      </div>
      <div class="post-heading">
        <h1 class="h2"><?php echo $post->getTitle();?></h1>
      </div>
      <?php if ($post->getContent()): ?>
      <div class="post-content short">
        <div class="post-short-description">
          <?php $objectManager = \Magento\Framework\App\ObjectManager::getInstance(); ?>
          <?php echo $objectManager->get('\Magento\Cms\Model\Template\FilterProvider')->getBlockFilter()->filter($post->getShortContent()); ?>
        </div>
      </div>
      <?php endif; ?>
      <div class="post-info">
        <div class="post-create-time">
          <!-- <i class="fa fa-calendar"></i> -->
          <?php echo __('%1', $block->formatDate($post->getCreatedAt(), \IntlDateFormatter::MEDIUM, false)); ?>
        </div>
        <div class="share-link">
          <div class="share-wrapper">
            <span class="share-text">Share</span>
            <div class="share-social">
              <a href="<?php echo $instagramUrl; ?>" target="_blank" rel="noopener" title="Instgram">
              <img src="/media/wysiwyg/social/Icon_simple-instagram.png" alt="Instagram">
              </a>
              <a href="<?php echo $linkedInUrl; ?>" target="_blank" rel="noopener" title="Linkdin">
              <img src="/media/wysiwyg/social/Icon_awesome-linkedin-in.png" alt="Instagram">
              </a>
              <a href="<?php echo $facebookUrl ; ?>" target="_blank" rel="noopener" title="Facebook">
              <img src="/media/wysiwyg/social/Icon_awesome-facebook-f.png" alt="Instagram">
              </a>
              <a href="<?php echo $twitterUrl; ?>" target="_blank" rel="noopener" title="Twitter">
              <img src="/media/wysiwyg/social/Icon_awesome-twitter.png" alt="Instagram">
              </a>
            </div>
          </div>
        </div>
      </div>
      <?php if ($post->getContent()): ?>
      <div class="post-content">
        <div class="post-short-description">
          <?php $objectManager = \Magento\Framework\App\ObjectManager::getInstance(); ?>
          <?php echo $objectManager->get('\Magento\Cms\Model\Template\FilterProvider')->getBlockFilter()->filter($post->getContent()); ?>
        </div>
      </div>
      <?php endif; ?>
      <?php if($helper->getStoreConfig('mpanel/share_config/enabel_share') && $helper->getStoreConfig('mpanel/share_config/share_blog_detail')): ?>
      <div class="text-right margin-top25">
        <?php echo $block->getChildHtml('blog.detail.sharethis'); ?>
      </div>
      <?php endif ?>
    </div>
  </div>
</div>
</section>

